PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- TraceSet

# TraceSet

class `pydl.pydlutils.trace.``TraceSet`(*args, **kwargs)

  Bases: `object`

  Implements the idea of a trace set.

  Attributes

  func | (`str`) Name of function type used to fit the trace set.
  xmin | (float-like) Minimum x value.
  xmax | (float-like) Maximum x value.
  coeff | (array-like) Coefficients of the trace set fit.
  nTrace | (`int`) Number of traces in the object.
  ncoeff | (`int`) Number of coefficients of the trace set fit.
  xjumplo | (float-like) Jump value, for BOSS readouts.
  xjumphi | (float-like) Jump value, for BOSS readouts.
  xjumpval | (float-like) Jump value, for BOSS readouts.
  outmask | (array-like) When initialized with x,y positions, this contains the rejected points.
  yfit | (array-like) When initialized with x,y positions, this contains the fitted y values.

  This class can be initialized either with a set of xy positions, or with a trace set HDU from a FITS file.

  Attributes Summary

  `has_jump` | `True` if jump conditions are set.
  `nx` | Number of x values.
  `xRange` | Range of x values.
  `xmid` | Midpoint of x values.

  Methods Summary

  `xnorm`(xinput, jump) | Convert input x coordinates to normalized coordinates suitable for input to special polynomials.
  `xy`([xpos, ignore_jump]) | Convert from a trace set to an array of x,y positions.

  Attributes Documentation

  `has_jump`

    `True` if jump conditions are set.

  `nx`

    Number of x values.

  `xRange`

    Range of x values.

  `xmid`

    Midpoint of x values.

  Methods Documentation

  `xnorm`(xinput, jump)

    Convert input x coordinates to normalized coordinates suitable for input to special polynomials.

    Parameters:

    xinput : array-like

    > Input coordinates.

    jump : `bool`

    > Set to `True` if there is a jump.

    Returns:

    array-like

    > Normalized coordinates.

  `xy`(xpos=None, ignore_jump=False)

    Convert from a trace set to an array of x,y positions.

    Parameters:

    xpos : array-like, optional

    > If provided, evaluate the trace set at these positions. Otherwise the positions will be constructed from the trace set object iself.

    ignore_jump : `bool`, optional

    > If `True`, ignore any jump information in the `tset` object

    Returns:

    `tuple()` of array-like

    > The x, y positions.